## aufs 0+20070605

=== fs/aufs/Makefile ===
# AUFS Makefile for the Linux 2.6.16 and later
# $Id: Makefile,v 1.29 2007/04/23 00:59:50 sfjro Exp $

obj-$(CONFIG_AUFS) += aufs.o
aufs-y := module.o super.o sbinfo.o xino.o \
	branch.o cpup.o whout.o plink.o wkq.o dcsub.o vfsub.o \
	opts.o \
	dentry.o dinfo.o \
	file.o f_op.o finfo.o \
	dir.o vdir.o \
	inode.o i_op.o i_op_add.o i_op_del.o i_op_ren.o iinfo.o \
	misc.o
#xattr.o
aufs-$(CONFIG_AUFS_SYSAUFS) += sysaufs.o
aufs-$(CONFIG_AUFS_HINOTIFY) += hinotify.o
aufs-$(CONFIG_AUFS_EXPORT) += export.o
#aufs-$(CONFIG_DEBUGFS) += dbgfs.o
aufs-$(CONFIG_AUFS_DEBUG) += debug.o

=== sample/diskless/Makefile ===

# aufs sample -- diskless system

# Copyright (C) 2006, 2007 Junjiro Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# $Id: Makefile,v 1.4 2007/04/23 00:59:51 sfjro Exp $

include def.mk
-include priv_def.mk

MAKE += --no-print-directory
export

TftpTgt = aufs.ko comount.sh \
	initrd initramfs.gz \
	pxelinux.0 pxelinux.cfg/default \
	vmlinuz nfsd.ko exportfs.ko
TftpTgt := $(addprefix ${TftpDir}/, ${TftpTgt})

all:
	@echo man -l diskless.6aufs or read diskless.html, edit def.mk,
	@echo and then run \"make update retr local dhcpdDL.conf tftp nfsdir\"

clean:
	${RM} pxelinux.0 busybox
	${RM} typescript dhcpdDL.conf initrd initramfs.gz diskless.html
	${RM} -r ${DebPkgInfoDir} initrd.dir
	${RM} *~ .*~

real_clean: clean
	-${RM} ${BusyBoxPkg}_*.deb netboot.tar.gz

########################################
# retrieve packages

retr update: m = ${DebPkgDir}/Makefile
retr update: t = ${DebPkgDir}/tmp
retr update:
	mkdir -p ${DebPkgDir} ${DebPkgInfoDir}
	test -e ${m} || ln -s ${CURDIR}/retr.mk ${m}
	test -e ${t} || ln -s ${DebPkgInfoDir} ${t}
	${MAKE} -C ${DebPkgDir} $@
	${RM} ${m} ${t}

########################################
# local install
local: ${DhcpClients}
	script -c "${MAKE} -f local.mk $@"

########################################
slax:
	${MAKE} -f nfscd.mk NfsCdDir=${NfsSlax} NfsCdUrl=${SlaxUrl} \
		NfsCdKoFull="${SlaxKoFull}" NfsCdKo="${SlaxKo}"
knoppix:
	${MAKE} -f nfscd.mk NfsCdDir=${NfsKnoppix} NfsCdUrl=${KnoppixUrl} \
		NfsCdKoFull="${KnoppixKoFull}" NfsCdKo="${KnoppixKo}"
gentoo:
	${MAKE} -f nfscd.mk NfsCdDir=${NfsGentoo} NfsCdUrl=${GentooUrl} \
		NfsCdKoFull="${GentooKoFull}" NfsCdKo="${GentooKo}"
edgy:
	${MAKE} -f nfscd.mk NfsCdDir=${NfsEdgy} NfsCdUrl=${EdgyUrl} \
		NfsCdKoFull="${EdgyKoFull}" NfsCdKo="${EdgyKo}"

########################################

dhcpdDL.conf: f = /etc/dhcp3/dhcpd.conf
dhcpdDL.conf: ${DhcpdConfIn} ${DhcpClients}
	cp ${DhcpdConfIn} $@
	awk -v f="${DhcpClients}" ' \
	BEGIN {print "\n####", f, "####"} \
	/#/ || /^[[:space:]]*$$/ {next} \
	{ \
		print "host", $$1, "{"; \
		print "\toption host-name \"" $$1 "\";"; \
		print "\tfixed-address", $$2 ";"; \
		print "\thardware ethernet", $$3 ";"; \
		print "}"; \
	}' ${DhcpClients} >> $@
	@if [ -f ${f} ]; \
	then \
		grep -q "${CURDIR}/$@" ${f} || \
		echo edit your ${f}, and include ${CURDIR}/$@, \
			then restart your dhcp server.; \
	fi

########################################

initrd busybox initrd.dir initramfs.gz:
	${MAKE} -f initrd.mk $@

########################################

netboot.tar.gz:
	wget -q ${DebInstaller}/current/images/netboot/$@
pxelinux.0: d=debian-installer/i386
pxelinux.0: netboot.tar.gz
	tar -C /tmp -xpzf $< ./${d}/$@
	mv /tmp/${d}/$@ .

${TftpDir}/%: %
	cp -pu $< $@
${TftpDir}/vmlinuz: ${DLKernel}
	cp -pu $< $@
${TftpDir}/pxelinux.cfg/default: pxe.conf
	cp -pu $< $@
${TftpDir}/comount.sh: ${Comount}
	cp -pu $< $@
nfsd.ko exportfs.ko: ko = $(addprefix lib/modules/${KVer}/kernel/, \
	fs/nfsd/nfsd.ko fs/exportfs/exportfs.ko)
nfsd.ko exportfs.ko:
	${MAKE} -f nfscd.mk NfsCdKoFull="${ko}" NfsCdKo="$@" $@
tftp: ${TftpTgt}

########################################

common = $(addprefix $(dir ${DLRoot}), common)
nfsdir:
	sudo mkdir -p $(addprefix ${DLRootRW}/, hostA hostB hostC)
	sudo mkdir -p $(addprefix $(dir ${DLRoot}), http) ${common}/usr/bin
wh = $(addprefix ${common}/usr/bin/.wh., dpkg apt-get aptitude)
wh: nfsdir ${common}/.wh..wh.aufs ${wh}
${common}/.wh..wh.aufs:
	> $@
${wh}: ${common}/.wh..wh.aufs
	ln $< $@

########################################

diskless.html: diskless.6aufs
#	man2html $< > $@
	man -l -Thtml $< > $@

-include priv.mk

## aufs 0+20070806

=== fs/aufs/Makefile ===
--- 
+++ 
@@ -1,5 +1,13 @@
 # AUFS Makefile for the Linux 2.6.16 and later
-# $Id: Makefile,v 1.29 2007/04/23 00:59:50 sfjro Exp $
+# $Id: Makefile,v 1.32 2007/07/23 03:04:10 sfjro Exp $
+
+ifdef CONFIG_AUFS_WORKAROUND_FUSE
+# it doesn't defined in a header file
+fuse = $(shell grep '\#.*define.*FUSE_SUPER_MAGIC' ${srctree}/fs/fuse/inode.c | \
+	head -n 1 | \
+	awk '{print $$3}')
+EXTRA_CFLAGS += -DFUSE_SUPER_MAGIC=${fuse}
+endif
 
 obj-$(CONFIG_AUFS) += aufs.o
 aufs-y := module.o super.o sbinfo.o xino.o \

=== sample/uloop/Makefile ===

# aufs sample -- ULOOP driver and ulohttp

# Copyright (C) 2007 Junjiro Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# $Id: Makefile,v 1.1 2007/08/06 00:38:07 sfjro Exp $

KDIR = /lib/modules/$(shell uname -r)/build

all: drivers/block/uloop.ko ulohttp

drivers/block/uloop.ko clean: MAKE += -C ${KDIR} M=${CURDIR}/drivers/block
drivers/block/uloop.ko clean: export CONFIG_BLK_DEV_ULOOP = m
drivers/block/uloop.ko clean: export EXTRA_CFLAGS += -I${CURDIR}/include -DCONFIG_BLK_DEV_ULOOP=m
drivers/block/uloop.ko:
	${MAKE} modules

clean:
	${MAKE} $@
	${RM} ulohttp *.o *~

ulohttp: CFLAGS=-g -Wall -D_FILE_OFFSET_BITS=64 -DNDEBUG -I${CURDIR}/include -UNDEBUG
ulohttp: LDLIBS=-lcurl

-include priv.mk

=== sample/uloop/drivers/block/Makefile ===
obj-$(CONFIG_BLK_DEV_ULOOP) += uloop.o

## aufs 0+20080129

=== util/Makefile ===

# $Id: Makefile,v 1.8 2007/03/12 01:55:28 sfjro Exp $

all: aufs.5 aulchown
	test -x ./mount.aufs || chmod a+x ./mount.aufs

aufs.5: aufs.in.5 ./c2tmac
	${RM} $@
	./c2tmac > $@
	cat aufs.in.5 >> $@
	chmod a-w $@

CFLAGS += -O2 -Wall ${EXTRA_CFLAGS}

.INTERMEDIATE: c2tmac.o c2tmac
c2tmac.o: c2tmac.c ../include/linux/aufs_type.h

clean:
	${RM} c2tmac aulchown aufs.5 *~ .*~

=== fs/aufs/Makefile ===
--- 
+++ 
@@ -1,17 +1,52 @@
 # AUFS Makefile for the Linux 2.6.16 and later
-# $Id: Makefile,v 1.32 2007/07/23 03:04:10 sfjro Exp $
+# $Id: Makefile,v 1.39 2007/12/17 03:30:17 sfjro Exp $
+
+# the environment variables are not inherited since 2.6.23
+ifdef AUFS_EXTRA_CFLAGS
+EXTRA_CFLAGS += ${AUFS_EXTRA_CFLAGS}
+endif
+
+########################################
+
+ifdef CONFIG_AUFS_RR_SQUASHFS
+# cf. squashfs3.2-r2 and sqlzma patch.
+EXTRA_CFLAGS += -DSQUASHFS_MAGIC=0x73717368
+EXTRA_CFLAGS += -DSQUASHFS_MAGIC_SWAP=0x68737173
+EXTRA_CFLAGS += -DSQUASHFS_MAGIC_LZMA=0x71736873
+EXTRA_CFLAGS += -DSQUASHFS_MAGIC_LZMA_SWAP=0x73687371
+endif
 
 ifdef CONFIG_AUFS_WORKAROUND_FUSE
-# it doesn't defined in a header file
+# it isn't defined in a header file
 fuse = $(shell grep '\#.*define.*FUSE_SUPER_MAGIC' ${srctree}/fs/fuse/inode.c | \
 	head -n 1 | \
 	awk '{print $$3}')
 EXTRA_CFLAGS += -DFUSE_SUPER_MAGIC=${fuse}
 endif
 
+ifeq ($(strip $(shell test ${SUBLEVEL} -ge 24 && echo t)),t)
+ifdef CONFIG_XFS_FS
+# it isn't defined in a header file
+xfs = $(shell grep '\#.*define.*XFS_SB_MAGIC' ${srctree}/fs/xfs/xfs_sb.h | \
+	head -n 1 | \
+	awk '{print $$3}')
+EXTRA_CFLAGS += -DXFS_SB_MAGIC=${xfs}
+endif
+endif
+
+ifdef CONFIG_TMPFS
+# it isn't defined in a header file
+tmpfs = $(shell grep '\#.*define.*TMPFS_MAGIC' ${srctree}/mm/shmem.c | \
+	head -n 1 | \
+	awk '{print $$3}')
+EXTRA_CFLAGS += -DTMPFS_MAGIC=${tmpfs}
+endif
+
+########################################
+
 obj-$(CONFIG_AUFS) += aufs.o
 aufs-y := module.o super.o sbinfo.o xino.o \
-	branch.o cpup.o whout.o plink.o wkq.o dcsub.o vfsub.o \
+	branch.o cpup.o whout.o plink.o wkq.o dcsub.o vfsub.o wbr_policy.o \
 	opts.o \
 	dentry.o dinfo.o \
 	file.o f_op.o finfo.o \

=== sample/diskless/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-# $Id: Makefile,v 1.4 2007/04/23 00:59:51 sfjro Exp $
+# $Id: Makefile,v 1.5 2007/07/09 05:48:23 sfjro Exp $
 
 include def.mk
 -include priv_def.mk
@@ -74,6 +74,9 @@
 edgy:
 	${MAKE} -f nfscd.mk NfsCdDir=${NfsEdgy} NfsCdUrl=${EdgyUrl} \
 		NfsCdKoFull="${EdgyKoFull}" NfsCdKo="${EdgyKo}"
+faunos:
+	${MAKE} -f nfscd.mk NfsCdDir=${NfsFaun} NfsCdUrl=${FaunUrl} \
+		NfsCdKoFull="${FaunKoFull}" NfsCdKo="${FaunKo}"
 
 ########################################

=== sample/uloop/Makefile ===

# aufs sample -- ULOOP driver

# Copyright (C) 2007 Junjiro Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# $Id: Makefile,v 1.3 2007/12/03 01:39:00 sfjro Exp $

KDIR = /lib/modules/$(shell uname -r)/build

UserLib = libuloop.a
UserAp = ulohttp ulobdev
Tgt= ${UserLib} ${UserAp}
UloopVars = /tmp/uloopvars.mk

all: drivers/block/uloop.ko ${Tgt}

# the environment variables are not inherited since 2.6.23
drivers/block/uloop.ko clean: MAKE += ULOOP_EXTRA_CFLAGS=-I${CURDIR}/include
drivers/block/uloop.ko clean: MAKE += -C ${KDIR} M=${CURDIR}/drivers/block CONFIG_BLK_DEV_ULOOP=m
drivers/block/uloop.ko:
	${MAKE} modules

clean:
	${MAKE} $@
	${RM} ${Tgt} ${UloopVars} *.o *~

UserCFLAGS = -g -Wall -D_FILE_OFFSET_BITS=64 -DNDEBUG -I${CURDIR}/include -UNDEBUG
libuloop.a: CFLAGS=${UserCFLAGS}
libuloop.a: libuloop.a(libuloop.o)

${UserAp}: CFLAGS += ${UserCFLAGS}
${UserAp}: LDLIBS += -L${CURDIR} -luloop
ulohttp: LDLIBS += -lcurl

-include priv.mk

=== sample/watchguard/probe/Makefile ===

dirs = cpup open #fsaccess
kdir = /lib/modules/$(shell uname -r)/build
#kdir = /lib/modules/2.6.20jrousD/build
#kdir = /lib/modules/2.6.19jrousD/build
#kdir = /lib/modules/2.6.18jrousD/build
#kdir = /lib/modules/2.6.17jrousND/build
#kdir = /lib/modules/2.6.16jrousND/build

all: link_probe
	for i in ${dirs}; \
	do \
		cd $${i}; \
		${MAKE} -C ${kdir} M=${CURDIR}/$${i} modules; \
		cd ..; \
		ln -f $${i}/p$${i}.ko .; \
	done

link_probe:
	for i in ${dirs}; \
	do for j in c h; \
	do test -e $${i}/probe.$${j} || ln ${CURDIR}/probe.$${j} $${i}/; \
	done; \
	done

clean:
	for i in ${dirs}; \
	do \
		cd $${i}; \
		${MAKE} -C ${kdir} M=${CURDIR}/$${i} $@; \
		cd ..; \
		${RM} p$${i}.ko; \
	done

=== sample/uloop/drivers/block/Makefile ===

# the environment variables are not inherited since 2.6.23
ifdef ULOOP_EXTRA_CFLAGS
EXTRA_CFLAGS += ${ULOOP_EXTRA_CFLAGS}
endif

obj-$(CONFIG_BLK_DEV_ULOOP) += uloop.o

=== sample/watchguard/probe/cpup/Makefile ===

AufsTop = ${M}/../../../..
EXTRA_CFLAGS += -I${AufsTop} -I${AufsTop}/include
EXTRA_CFLAGS += -DCONFIG_AUFS_BRANCH_MAX_127
obj-m += pcpup.o
pcpup-y := cpup.o probe.o

=== sample/watchguard/probe/open/Makefile ===

obj-m += popen.o
popen-y := open.o probe.o

## aufs 0+20080719

=== util/Makefile ===

# $Id: Makefile,v 1.10 2008/05/26 04:02:40 sfjro Exp $

all: aufs.5 aulchown
	test -x ./mount.aufs || chmod a+x ./mount.aufs

aufs.5: aufs.in.5 ./c2tmac
	${RM} $@
	./c2tmac > $@
	awk '{ \
		gsub(/\140[^\047]*\047/, "\\[oq]&\\[cq]"); \
		gsub(/\\\[oq\]\140/, "\\[oq]"); \
		gsub(/\047\\\[cq\]/, "\\[cq]"); \
		gsub(/\047/, "\\[aq]"); \
		print; \
	}' aufs.in.5 >> $@
	chmod a-w $@

CFLAGS += -O2 -Wall ${EXTRA_CFLAGS} ${ccflags-y}

.INTERMEDIATE: c2tmac.o c2tmac
c2tmac.o: c2tmac.c ../include/linux/aufs_type.h

clean:
	${RM} c2tmac aulchown aufs.5 *~ .*~

=== fs/aufs/Makefile ===
# AUFS Makefile for the Linux 2.6.16 - 2.6.24
# $Id: Makefile,v 1.45 2008/06/30 03:48:17 sfjro Exp $

# the environment variables are not inherited since 2.6.23
ifdef AUFS_EXTRA_CFLAGS
EXTRA_CFLAGS += ${AUFS_EXTRA_CFLAGS}
endif

########################################

ifdef CONFIG_AUFS_RR_SQUASHFS
# cf. squashfs3.2-r2 and sqlzma patch.
EXTRA_CFLAGS += -DSQUASHFS_MAGIC=0x73717368
EXTRA_CFLAGS += -DSQUASHFS_MAGIC_SWAP=0x68737173
EXTRA_CFLAGS += -DSQUASHFS_MAGIC_LZMA=0x71736873
EXTRA_CFLAGS += -DSQUASHFS_MAGIC_LZMA_SWAP=0x73687371
endif

ifdef CONFIG_AUFS_WORKAROUND_FUSE
# it isn't defined in a header file
fuse_f = ${srctree}/fs/fuse/inode.c
ifeq ($(strip $(shell test -e ${fuse_f} && echo t)),t)
fuse = $(shell grep '\#.*define.*FUSE_SUPER_MAGIC' ${fuse_f} | \
	head -n 1 | \
	awk '{print $$3}')
EXTRA_CFLAGS += -DFUSE_SUPER_MAGIC=${fuse}
else
$(warning Ignoring FUSE_SUPER_MAGIC)
endif
endif

ifdef CONFIG_XFS_FS
# it isn't defined in a header file
ifeq ($(strip $(shell test ${SUBLEVEL} -ge 24 && echo t)),t)
xfs_f=${srctree}/fs/xfs/xfs_sb.h
ifeq ($(strip $(shell test -e ${xfs_f} && echo t)),t)
xfs = $(shell grep '\#.*define.*XFS_SB_MAGIC' ${xfs_f} | \
	head -n 1 | \
	awk '{print $$3}')
EXTRA_CFLAGS += -DXFS_SB_MAGIC=${xfs}
else
$(warning Ignoring XFS_SB_MAGIC)
endif
endif
endif

ifdef CONFIG_TMPFS
# it isn't defined in a header file
tmpfs_f=${srctree}/mm/shmem.c
ifeq ($(strip $(shell test -e ${tmpfs_f} && echo t)),t)
tmpfs = $(shell grep '\#.*define.*TMPFS_MAGIC' ${tmpfs_f} | \
	head -n 1 | \
	awk '{print $$3}')
EXTRA_CFLAGS += -DTMPFS_MAGIC=${tmpfs}
else
$(warning Ignoring TMPFS_MAGIC)
endif
endif

ifdef CONFIG_SYSFS
# defined in ${srctree}fs/sysfs/mount.c
EXTRA_CFLAGS += -DSYSFS_MAGIC=0x62656572
endif

#$(warning ${EXTRA_CFLAGS})

########################################

obj-$(CONFIG_AUFS) += aufs.o
aufs-y := module.o super.o sbinfo.o xino.o \
	branch.o cpup.o whout.o plink.o wkq.o dcsub.o vfsub.o wbr_policy.o \
	opts.o \
	dentry.o dinfo.o \
	file.o f_op.o finfo.o \
	dir.o vdir.o \
	inode.o i_op.o i_op_add.o i_op_del.o i_op_ren.o iinfo.o \
	misc.o

#xattr.o
ifeq ($(strip $(shell test ${SUBLEVEL} -ge 19 && echo t)),t)
aufs-$(CONFIG_AUFS_BR_NFS) += br_nfs.o
endif
aufs-$(CONFIG_AUFS_BR_XFS) += br_xfs.o
aufs-$(CONFIG_AUFS_WORKAROUND_FUSE) += br_fuse.o

aufs-$(CONFIG_AUFS_DLGT) += dlgt.o
aufs-$(CONFIG_AUFS_SYSAUFS) += sysaufs.o
aufs-$(CONFIG_AUFS_HINOTIFY) += hinotify.o hin_or_dlgt.o
# dirty
ifndef CONFIG_AUFS_HINOTIFY
aufs-$(CONFIG_AUFS_DLGT) += hin_or_dlgt.o
endif
aufs-$(CONFIG_AUFS_EXPORT) += export.o
aufs-$(CONFIG_AUFS_ROBR) += robr.o
#aufs-$(CONFIG_DEBUGFS) += dbgfs.o
aufs-$(CONFIG_AUFS_DEBUG) += debug.o
aufs-$(CONFIG_AUFS_MAGIC_SYSRQ) += sysrq.o

=== fs/aufs25/Makefile ===
# AUFS Makefile for the Linux 2.6.25 and later
# $Id: Makefile,v 1.6 2008/07/14 00:13:35 sfjro Exp $

# the environment variables are not inherited since 2.6.23
ifdef AUFS_EXTRA_CFLAGS
ccflags-y += ${AUFS_EXTRA_CFLAGS}
endif

########################################

ifdef CONFIG_AUFS_RR_SQUASHFS
# cf. squashfs3.2-r2 and sqlzma patch.
ccflags-y += -DSQUASHFS_MAGIC=0x73717368
ccflags-y += -DSQUASHFS_MAGIC_SWAP=0x68737173
ccflags-y += -DSQUASHFS_MAGIC_LZMA=0x71736873
ccflags-y += -DSQUASHFS_MAGIC_LZMA_SWAP=0x73687371
endif

# defined in ${srctree}/fs/fuse/inode.c
ccflags-$(CONFIG_AUFS_WORKAROUND_FUSE) += -DFUSE_SUPER_MAGIC=0x65735546

# defined in ${srctree}/fs/xfs/xfs_sb.h
# tristate
ifdef CONFIG_XFS_FS
ccflags-y += -DXFS_SB_MAGIC=0x58465342
endif

# defined in ${srctree}/mm/shmem.c
# tristate
ifdef CONFIG_TMPFS
ccflags-y += -DTMPFS_MAGIC=0x01021994
endif

# defined in ${srctree}fs/sysfs/mount.c
# bool
ccflags-$(CONFIG_SYSFS) += -DSYSFS_MAGIC=0x62656572

ifndef EXTRAVERSION
EXTRAVERSION = $(shell echo ${KERNELVERSION} | cut -f3- -d. | cut -f2- -d-)
endif
# for -mm tree, support the latest version only
ifneq ($(strip $(shell echo ${EXTRAVERSION} | fgrep -- mm)),)
ccflags-y += -DCONFIG_AUFS_UNIONFS22_PATCH -DCONFIG_AUFS_UNIONFS23_PATCH
endif

-include $(dir $(lastword ${MAKEFILE_LIST}))priv.mk
#$(warning ${ccflags-y})

########################################

obj-$(CONFIG_AUFS) += aufs.o
aufs-y := module.o super.o sbinfo.o branch.o xino.o sysaufs.o opts.o \
	wkq.o vfsub.o dcsub.o \
	cpup.o whout.o plink.o wbr_policy.o \
	dentry.o dinfo.o \
	file.o f_op.o finfo.o \
	dir.o vdir.o \
	inode.o i_op.o i_op_add.o i_op_del.o i_op_ren.o iinfo.o \
	misc.o

aufs-$(CONFIG_SYSFS) += sysfs.o
aufs-$(CONFIG_AUFS_BR_NFS) += br_nfs.o
aufs-$(CONFIG_AUFS_BR_XFS) += br_xfs.o
aufs-$(CONFIG_AUFS_WORKAROUND_FUSE) += br_fuse.o
aufs-$(CONFIG_AUFS_DLGT) += dlgt.o
aufs-$(CONFIG_AUFS_HINOTIFY) += hinotify.o
aufs-$(CONFIG_AUFS_HIN_OR_DLGT) += hin_or_dlgt.o
aufs-$(CONFIG_AUFS_EXPORT) += export.o
aufs-$(CONFIG_AUFS_ROBR) += robr.o
# reserved for future use
#aufs-$(CONFIG_AUFS_XATTR) += xattr.o
aufs-$(CONFIG_AUFS_DEBUG) += debug.o
aufs-$(CONFIG_AUFS_MAGIC_SYSRQ) += sysrq.o

=== sample/diskless/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # aufs sample -- diskless system
 
-# Copyright (C) 2006, 2007 Junjiro Okajima
+# Copyright (C) 2005-2008 Junjiro Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-# $Id: Makefile,v 1.5 2007/07/09 05:48:23 sfjro Exp $
+# $Id: Makefile,v 1.6 2008/07/07 01:12:39 sfjro Exp $
 
 include def.mk
 -include priv_def.mk

=== sample/uloop/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # aufs sample -- ULOOP driver
 
-# Copyright (C) 2007 Junjiro Okajima
+# Copyright (C) 2005-2008 Junjiro Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-# $Id: Makefile,v 1.3 2007/12/03 01:39:00 sfjro Exp $
+# $Id: Makefile,v 1.4 2008/07/07 01:12:39 sfjro Exp $
 
 KDIR = /lib/modules/$(shell uname -r)/build

## aufs 0+20090302

=== util/Makefile ===

# Copyright (C) 2005-2009 Junjiro Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# $Id: Makefile,v 1.15 2009/01/26 06:24:45 sfjro Exp $

all: aufs.5 aulchown etc_default_aufs
# auctl
	test -x ./mount.aufs || chmod a+x ./mount.aufs

aufs.5: aufs.in.5 c2tmac
	${RM} $@
	./c2tmac > $@
	awk '{ \
		gsub(/\140[^\047]*\047/, "\\[oq]&\\[cq]"); \
		gsub(/\\\[oq\]\140/, "\\[oq]"); \
		gsub(/\047\\\[cq\]/, "\\[cq]"); \
		gsub(/\047/, "\\[aq]"); \
		print; \
	}' aufs.in.5 >> $@
	chmod a-w $@

etc_default_aufs: c2sh aufs.shlib
	${RM} $@
	sed -e '/Id: /,$$d' aufs.shlib > $@
	echo '# aufs variables for shell scripts' >> $@
	./c2sh >> $@
	sed -e '0,/Id: /d' aufs.shlib >> $@
	chmod a-w $@

aulchown: LDFLAGS += -s
#aulchown: LDFLAGS += -static
CFLAGS += -O2 -Wall ${EXTRA_CFLAGS} ${ccflags-y}
%.o: %.c ../include/linux/aufs_type.h
.INTERMEDIATE: c2tmac.o c2tmac
.INTERMEDIATE: c2sh.o c2sh

clean:
	${RM} c2tmac c2sh aulchown aufs.5 etc_default_aufs *~ .*~

=== fs/aufs/Makefile ===
# AUFS Makefile for the Linux 2.6.16 - 2.6.24
# $Id: Makefile,v 1.49 2008/09/29 03:43:19 sfjro Exp $

# the environment variables are not inherited since 2.6.23
ifdef AUFS_EXTRA_CFLAGS
ccflags-y += ${AUFS_EXTRA_CFLAGS}
endif

########################################

ifdef CONFIG_AUFS_RR_SQUASHFS
# cf. squashfs3.2-r2 and sqlzma patch.
ccflags-y += -DSQUASHFS_MAGIC=0x73717368
ccflags-y += -DSQUASHFS_MAGIC_SWAP=0x68737173
ccflags-y += -DSQUASHFS_MAGIC_LZMA=0x71736873
ccflags-y += -DSQUASHFS_MAGIC_LZMA_SWAP=0x73687371
endif

# defined in ${srctree}/fs/fuse/inode.c
ccflags-$(CONFIG_AUFS_WORKAROUND_FUSE) += -DFUSE_SUPER_MAGIC=0x65735546

# defined in ${srctree}/fs/xfs/xfs_sb.h
# tristate
ifdef CONFIG_XFS_FS
ccflags-y += -DXFS_SB_MAGIC=0x58465342
endif

# defined in ${srctree}/mm/shmem.c
# tristate
ifdef CONFIG_TMPFS
ccflags-y += -DTMPFS_MAGIC=0x01021994
endif

# defined in ${srctree}fs/sysfs/mount.c
# bool
ccflags-$(CONFIG_SYSFS) += -DSYSFS_MAGIC=0x62656572

-include $(dir $(lastword ${MAKEFILE_LIST}))priv.mk
EXTRA_CFLAGS += ${ccflags-y}
#$(warning ${EXTRA_CFLAGS})

########################################

obj-$(CONFIG_AUFS) += aufs.o
aufs-y := module.o super.o sbinfo.o branch.o xino.o opts.o \
	wkq.o vfsub.o dcsub.o \
	cpup.o whout.o plink.o wbr_policy.o \
	dentry.o dinfo.o \
	file.o f_op.o finfo.o \
	dir.o vdir.o \
	inode.o i_op.o i_op_add.o i_op_del.o i_op_ren.o iinfo.o \
	misc.o

aufs-$(CONFIG_AUFS_SYSAUFS) += sysaufs.o
ifeq ($(strip $(shell test ${SUBLEVEL} -ge 19 && echo t)),t)
aufs-$(CONFIG_AUFS_BR_NFS) += br_nfs.o
endif
aufs-$(CONFIG_AUFS_BR_XFS) += br_xfs.o
aufs-$(CONFIG_AUFS_WORKAROUND_FUSE) += br_fuse.o
aufs-$(CONFIG_AUFS_DLGT) += dlgt.o
aufs-$(CONFIG_AUFS_HINOTIFY) += hinotify.o
aufs-$(CONFIG_AUFS_HIN_OR_DLGT) += hin_or_dlgt.o
aufs-$(CONFIG_AUFS_GETATTR) += getattr.o
aufs-$(CONFIG_AUFS_EXPORT) += export.o
aufs-$(CONFIG_AUFS_ROBR) += robr.o
# reserved for future use
#aufs-$(CONFIG_AUFS_XATTR) += xattr.o
#aufs-$(CONFIG_DEBUGFS) += dbgfs.o
aufs-$(CONFIG_AUFS_DEBUG) += debug.o
aufs-$(CONFIG_AUFS_MAGIC_SYSRQ) += sysrq.o

=== fs/aufs25/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # AUFS Makefile for the Linux 2.6.25 and later
-# $Id: Makefile,v 1.6 2008/07/14 00:13:35 sfjro Exp $
+# $Id: Makefile,v 1.10 2008/10/20 01:47:24 sfjro Exp $
 
 # the environment variables are not inherited since 2.6.23
 ifdef AUFS_EXTRA_CFLAGS
@@ -65,6 +65,7 @@
 aufs-$(CONFIG_AUFS_DLGT) += dlgt.o
 aufs-$(CONFIG_AUFS_HINOTIFY) += hinotify.o
 aufs-$(CONFIG_AUFS_HIN_OR_DLGT) += hin_or_dlgt.o
+aufs-$(CONFIG_AUFS_GETATTR) += getattr.o
 aufs-$(CONFIG_AUFS_EXPORT) += export.o
 aufs-$(CONFIG_AUFS_ROBR) += robr.o
 # reserved for future use

=== sample/diskless/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # aufs sample -- diskless system
 
-# Copyright (C) 2005-2008 Junjiro Okajima
+# Copyright (C) 2005-2009 Junjiro Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-# $Id: Makefile,v 1.6 2008/07/07 01:12:39 sfjro Exp $
+# $Id: Makefile,v 1.7 2009/01/26 06:24:45 sfjro Exp $
 
 include def.mk
 -include priv_def.mk

=== sample/logrow/Makefile ===

# Copyright (C) 2005-2009 Junjiro Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# $Id: Makefile,v 1.2 2009/01/26 06:24:45 sfjro Exp $

KDIR = /lib/modules/$(shell uname -r)/build
-include priv_def.mk

all: logrow
logrow: CFLAGS += -I ${KDIR}/include -O -Wall
clean:
	${RM} logrow *.o *~

=== sample/uloop/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # aufs sample -- ULOOP driver
 
-# Copyright (C) 2005-2008 Junjiro Okajima
+# Copyright (C) 2005-2009 Junjiro Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-# $Id: Makefile,v 1.4 2008/07/07 01:12:39 sfjro Exp $
+# $Id: Makefile,v 1.5 2009/01/26 06:24:45 sfjro Exp $
 
 KDIR = /lib/modules/$(shell uname -r)/build

## aufs 4.9%2B20161219

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

VERSION ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+\+[0-9.]+)[-+].*$$/\1/p')
KERNELVERSION ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)\+[0-9.]+[-+].*$$/\1/p')

%:
	dh $@ --with dkms

override_dh_auto_clean:
	dh_auto_clean -- DISABLEHEADERDEPS="true"

override_dh_auto_test:
	dh_auto_test -- DISABLEHEADERDEPS="true"

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- \
	  usr/include/linux/aufs_type.h KDIR="/usr/src/linux-kbuild-$(KERNELVERSION)" \
	  DISABLEHEADERDEPS="true"

override_dh_auto_install:
	dh_install -paufs-dkms -X.o -X.ko fs/ usr/src/aufs-$(VERSION)
	dh_install -paufs-dkms -X.o -X.ko include/ usr/src/aufs-$(VERSION)
	dh_install -paufs-dkms Makefile usr/src/aufs-$(VERSION)
	dh_install -paufs-dkms config.mk usr/src/aufs-$(VERSION)
	dh_install -paufs-dev usr/include/linux/aufs_type.h usr/include/linux

override_dh_dkms:
	dh_dkms -V

## aufs 4.9+20161219

=== debian/changelog ===
aufs (4.9+20161219-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 09 Jan 2017 00:13:32 +0100

aufs (4.8+20161219-2) unstable; urgency=medium

  * debian/patches: Remove erroneous debug line from patches. (Closes: #849568)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 30 Dec 2016 18:02:22 +0100

aufs (4.8+20161219-1) unstable; urgency=medium

  * New upstream release.
    - Dependency bugfix of header include "linux/fs/mount.h". (Closes: #843846)
  * Remove "debian/patches/0001-remove-not-needed-include-mount-h.patch",
    bug fixed by upstream.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 17 Dec 2016 15:39:11 +0100

aufs (4.8+20161010-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update Build-Depends to use linux-kbuild-4.8.
  * debian/aufs-dkms.dkms: Update BUILD_EXCLUSIVE_KERNEL to match "4.8.*".

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Thu, 20 Oct 2016 18:57:26 +0200

aufs (4.7+20160912-2) unstable; urgency=medium

  * debian/aufs-dkms.dkms:
     - KDIR to correct value for DKMS builds. (Closes: #838667)
     - Add BUILD_EXCLUSIVE_KERNEL directive.
  * debian/control:
     - Add Breaks/Replaces: linux-libc-dev (<< 3.18-1~exp1)
       relation for aufs-dev binary package (Closes: #838626).

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 23 Sep 2016 23:33:21 +0200

aufs (4.7+20160912-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 19 Sep 2016 17:44:03 +0200

aufs (4.7+20160822-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 26 Aug 2016 18:18:47 +0200

aufs (4.6+20160523-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #832451)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 24 Jul 2016 18:01:00 +0200

=== debian/control ===
Source: aufs
Section: kernel
Priority: optional
Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
Uploaders: Jan Luca Naumann <j.naumann@fu-berlin.de>
Build-Depends: debhelper (>=9), dkms, linux-kbuild-4.9
Standards-Version: 3.9.8
Homepage: http://aufs.sourceforge.net/
Vcs-Browser: https://github.com/JanLuca/aufs-debian
Vcs-Git: https://github.com/JanLuca/aufs-debian.git

Package: aufs-dkms
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.9
Recommends: aufs-tools
Suggests: aufs-dev
Description: DKMS files to build and install aufs
 The aufs driver provides a union mount for Linux filesystems. It allows one
 to virtually merge the contents of several directories and/or stack them, so
 that file changes in the aufs union mount end up as changes in only one
 of the source directories.
 .
 This package contains the DKMS files to build and install aufs.
 .
 To install this package, you have to install the header files for your current
 kernel manually (usually included in the "linux-headers-<your architecture>").

Package: aufs-dev
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: aufs-dkms
Replaces: linux-libc-dev (<< 3.18-1~exp1)
Breaks: linux-libc-dev (<< 3.18-1~exp1)
Description: Development files for aufs
 The aufs driver provides a union mount for Linux filesystems. It allows one
 to virtually merge the contents of several directories and/or stack them, so
 that file changes in the aufs union mount end up as changes in only one
 of the source directories.
 .
 This package contains the development files for aufs.

## aufs 4.17+20180827

=== debian/changelog ===
aufs (4.17+20180827-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.2.1, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 27 Aug 2018 10:40:35 +0200

aufs (4.17+20180709-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 13 Jul 2018 19:40:01 +0200

aufs (4.16+20180409-2) unstable; urgency=medium

  * debian/control:
    - Change Maintainer mail address to j.naumann@fu-berlin.de.
      (Closes: #899450)
    - Switch to Debian Salsa as Git hoster.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 26 May 2018 14:19:25 +0200

aufs (4.16+20180409-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.1.4, no changes needed.
  * debian/compat:
    - Update to debhelper compat level 11.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 13 May 2018 13:19:44 +0200

aufs (4.15+20180219-1) unstable; urgency=medium

  * New upstream release.
    - Remove a warning about the internal file-close. (Closes: #884008)
  * debian/patches:
    - Disable CONFIG_AUFS_DEBUG in config.mk. (Closes: #886329)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 24 Feb 2018 14:08:39 +0100

aufs (4.15+20180212-1) unstable; urgency=medium

  * New upstream release. (Closes: #890733)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 18 Feb 2018 14:59:33 +0100

aufs (4.14+20171218-1) unstable; urgency=medium

  * New upstream release. (Closes: #880387)
  * debian/control:
    - Update to Debian policy 4.1.2, no changes required.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 02 Dec 2017 12:39:30 +0100

aufs (4.13+20171002-1) unstable; urgency=medium

  * New upstream release. (Closes: #875620)
  * debian/control:
    - Update to Debian policy 4.1.1, no changes required.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 06 Oct 2017 11:09:33 +0200

aufs (4.12+20170904-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Wed, 06 Sep 2017 10:46:25 +0200

aufs (4.12+20170703-1) unstable; urgency=medium

  * New upstream release. (Closes: #865614)
  * debian/control:
    - Update to Debian policy 4.0.0, no changes required.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 24 Jul 2017 10:25:12 +0200

aufs (4.9+20161219-2) unstable; urgency=medium

  * Fix symlink of README file in /usr/share/doc/aufs-dkms. (Closes: #857783)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 17 Mar 2017 21:16:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: aufs
 Section: kernel
 Priority: optional
-Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
-Uploaders: Jan Luca Naumann <j.naumann@fu-berlin.de>
-Build-Depends: debhelper (>=9), dkms, linux-kbuild-4.9
-Standards-Version: 3.9.8
+Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
+Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.17
+Standards-Version: 4.2.1
 Homepage: http://aufs.sourceforge.net/
-Vcs-Browser: https://github.com/JanLuca/aufs-debian
-Vcs-Git: https://github.com/JanLuca/aufs-debian.git
+Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
+Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-debian.git
 
 Package: aufs-dkms
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.9
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.17
 Recommends: aufs-tools
 Suggests: aufs-dev
 Description: DKMS files to build and install aufs

## aufs 4.18+20180903

=== debian/changelog ===
aufs (4.18+20180903-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 07 Sep 2018 10:45:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kernel
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
-Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.17
+Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.18
 Standards-Version: 4.2.1
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
@@ -11,7 +11,7 @@
 Package: aufs-dkms
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.17
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.18
 Recommends: aufs-tools
 Suggests: aufs-dev
 Description: DKMS files to build and install aufs

## aufs 4.19+20181217

=== debian/changelog ===
aufs (4.19+20181217-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release:
    - Update to Linux 4.19 (Closes: #905651, #911578, #917857)
  * Update build-dependency on linux-kbuild
  * aufs-dkms: Delete dependency on linux-kbuild, since the linux-headers
    package will depend on if it's separate
  * aufs-dkms: Update DKMS kernel version match to 4.19
  * Delete undefined ${shlibs:Depends} from dependencies
  * Change binary packages to be arch:all, since their contents are not
    architecture-dependent

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Jan 2019 18:47:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: kernel
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
-Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.18
+Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.19
 Standards-Version: 4.2.1
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
 Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-debian.git
 
 Package: aufs-dkms
-Architecture: linux-any
+Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.18
+Depends: ${misc:Depends}
 Recommends: aufs-tools
 Suggests: aufs-dev
 Description: DKMS files to build and install aufs
@@ -26,9 +26,9 @@
  kernel manually (usually included in the "linux-headers-<your architecture>").
 
 Package: aufs-dev
-Architecture: linux-any
+Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Recommends: aufs-dkms
 Replaces: linux-libc-dev (<< 3.18-1~exp1)
 Breaks: linux-libc-dev (<< 3.18-1~exp1)

## aufs 4.19+20190211

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0

KDIR = /lib/modules/$(shell uname -r)/build
Conf1=${KDIR}/include/config/auto.conf
Conf2=${KDIR}/.config
ifeq "t" "$(shell test -e ${Conf1} && echo t)"
include ${Conf1}
else ifeq "t" "$(shell test -e ${Conf2} && echo t)"
include ${Conf2}
else
$(warning could not find kernel config file. internal auto-config may fail)
endif

CONFIG_AUFS_FS = m
AUFS_DEF_CONFIG = -DCONFIG_AUFS_FS_MODULE -UCONFIG_AUFS
include config.mk
export CONFIG_AUFS_FS

EXTRA_CFLAGS := -I${CURDIR}/include
EXTRA_CFLAGS += ${AUFS_DEF_CONFIG}

MakeMod = -C ${KDIR} M=${CURDIR}/fs/aufs EXTRA_CFLAGS="${EXTRA_CFLAGS}"

all: aufs.ko usr/include/linux/aufs_type.h

clean:
	${MAKE} ${MakeMod} $@
	find . -type f -name '*~' | xargs -r ${RM}
	${RM} -r aufs.ko usr

install: fs/aufs/aufs.ko
	${MAKE} ${MakeMod} modules_install

install_header install_headers: usr/include/linux/aufs_type.h
	install -o root -g root -p usr/include/linux/aufs_type.h \
		${DESTDIR}/usr/include/linux

aufs.ko: fs/aufs/aufs.ko
	ln -f $< $@

fs/aufs/aufs.ko:
	@echo ${EXTRA_CFLAGS}
	${MAKE} ${MakeMod} modules

usr/include/linux/aufs_type.h: d = $(shell echo ${CURDIR} | cut -c2-)
usr/include/linux/aufs_type.h:
	${MAKE} -rR -C ${KDIR} \
		-f scripts/Makefile.headersinst \
		-f Makefile \
		obj=${d}/include/uapi/linux dst=${d}/usr/include/linux
	test -s $@

=== debian/changelog ===
aufs (4.19+20190211-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.3.0, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 25 Feb 2019 17:22:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
 Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.19
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
 Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-debian.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 VERSION ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+\+[0-9.]+)[-+].*$$/\1/p')
 KERNELVERSION ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)\+[0-9.]+[-+].*$$/\1/p')

## aufs 5.2+20190909

=== debian/changelog ===
aufs (5.2+20190909-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2019 13:34:27 -0400

aufs (5.2+20190909-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 28 Sep 2019 18:17:20 +0200

aufs (5.2+20190902-1) unstable; urgency=medium

  * New upstream release. (Closes: #935403, #938961)
  * debian/compat:
    - Update to debhelper compat level 12.
  * debian/control:
    - Update to Debian policy 4.4.0, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Thu, 05 Sep 2019 14:12:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kernel
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
-Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.19
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>=12), dkms, linux-kbuild-5.2
+Standards-Version: 4.4.0
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
 Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-debian.git
